[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Support lxde-desktop properly in lenny D-I RC2?

Hi Frans,

Frans Pop wrote:
> the "lenny" invocation. Try 'desktop=lxde' instead (and read the correct 
> version of the installation guide in future ;-).

Thank you for point out the correct option. I tested it works now.
Thanks. :)

> In D-I you could possibly add something like support for "sudo installs" 
> (target system with root account disabled and sudo configured for regular 
> user), as we have for GNOME and KDE. But that is definitely for sqeeze.
> win32-loader should gain support for LXDE, but that is also likely to be 
> post-lenny.

post-lenny is fine.

> What we could possibly still do for Lenny is create an LXDE installation 
> CD or, maybe better, change the current Xfce CD to support LXDE in 
> addition to Xfce. As both are "lightweight", I would expect both of them 
> to fit on a single CD.
> Main problem with the last option would be the selection of the desired 
> desktop as we can only default to one and there is currently no support 
> for interactive selection. So users who want LXDE would still have to 
> boot with desktop=lxde, but would still have the advantage of having all 
> packages on CD.

Either way are good for our users. Share one CD is better to prevent
e-waste would be really appreciate. It would be much easier for user who
wants to do offline installation on old computer and netbooks, and also
have choice for XFCE or LXDE. :)

> That is, *unless* we were to hack the syslinux menus at CD build time to 
> offer separate boot options for both.

If we want to hack on this, can we have a multi-arch CD/DVD and have
boot options for GNOME, KDE, XFCE and LXDE? That sounds cool, isn't it? :)

> The needed changes would be limited to debian-cd and IMO should all be 
> doable. First action would have to be a check of space requirements.

Look forward to see the space requirements result. :)



Reply to: